import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class GetActivityCard extends StatelessWidget {
  final value;

  GetActivityCard(this.value);

  @override
  Widget build(BuildContext context) {
    double width = SizeConfig.heightMultiplier* (SizeConfig.isHeightVeryShort?16:SizeConfig.isHeightShort?14:SizeConfig.isHeightLarge?15:13);
    return Container(
      width: width,
      padding: EdgeInsets.symmetric(horizontal: SizeConfig.heightMultiplier * .4, vertical: SizeConfig.heightMultiplier * .2),
      margin: EdgeInsets.all(SizeConfig.widthMultiplier *1),
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(15),
      ),
      child: Padding(
        padding: const EdgeInsets.fromLTRB(8,8, 8, 4),
        child: Center(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.start,
            children: [
              AppText(
                value.value.toString(),
                fontSize: SizeConfig.getTextMultiplierBasedOnWidth(width: width)* 25,
                fontWeight: FontWeight.bold,
                color: Color(0xFF2B353E),
                letterSpacing:  -0.93,
              ),
              AppText(
                value.kPIParameter,
                textOverflow: TextOverflow.clip,
                fontSize: SizeConfig.getTextMultiplierBasedOnWidth(width: width)* (SizeConfig.isHeightVeryShort?8: SizeConfig.isHeightShort?8: 9),
                color: Color(0xFF2B353E),
                textAlign: TextAlign.start,
                fontWeight: FontWeight.w700,
                letterSpacing:  -0.33,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
